package com.bonus.canteen.core.device.manage.model;

import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModelProperty;

import java.time.LocalDateTime;

@TableName("device_locker_cabinet")
public class DeviceLockerCabinet {
   @TableId
   @ApiModelProperty("主键")
   private Long cabinetId;
   @ApiModelProperty("设备id 设备id")
   private Long deviceId;
   @ApiModelProperty("取餐柜柜橱编号（1号柜、2号柜）")
   private Integer cabinetNum;
   @ApiModelProperty("取餐柜柜门数量")
   private Integer lockerCount;
   @ApiModelProperty("乐观锁")
   private Integer revision;
   @ApiModelProperty("创建人")
   private String crby;
   @ApiModelProperty("创建时间")
   private LocalDateTime crtime;
   @ApiModelProperty("更新人")
   private String upby;
   @ApiModelProperty("更新时间")
   private LocalDateTime uptime;

   public Long getCabinetId() {
      return this.cabinetId;
   }

   public Long getDeviceId() {
      return this.deviceId;
   }

   public Integer getCabinetNum() {
      return this.cabinetNum;
   }

   public Integer getLockerCount() {
      return this.lockerCount;
   }

   public Integer getRevision() {
      return this.revision;
   }

   public String getCrby() {
      return this.crby;
   }

   public LocalDateTime getCrtime() {
      return this.crtime;
   }

   public String getUpby() {
      return this.upby;
   }

   public LocalDateTime getUptime() {
      return this.uptime;
   }

   public void setCabinetId(final Long cabinetId) {
      this.cabinetId = cabinetId;
   }

   public void setDeviceId(final Long deviceId) {
      this.deviceId = deviceId;
   }

   public void setCabinetNum(final Integer cabinetNum) {
      this.cabinetNum = cabinetNum;
   }

   public void setLockerCount(final Integer lockerCount) {
      this.lockerCount = lockerCount;
   }

   public void setRevision(final Integer revision) {
      this.revision = revision;
   }

   public void setCrby(final String crby) {
      this.crby = crby;
   }

   public void setCrtime(final LocalDateTime crtime) {
      this.crtime = crtime;
   }

   public void setUpby(final String upby) {
      this.upby = upby;
   }

   public void setUptime(final LocalDateTime uptime) {
      this.uptime = uptime;
   }
}
